﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Dock;

 
@model Toyota.Common.Web.MVC.ModelHolder

<div style="display:block; float:left; width:100%" >

<table  width="100%" cellpadding="3" cellspacing="3" border="0">
    <tr>
        <td align="left" style="width:120px; padding-left:10px;">
            Production Month <span style="color:Red;">*</span>
        </td>
        
        <td>
            @*<input type="text" id="PRMonth" name="PRMonth" class="mtz-monthpicker-widgetcontainer" style="width:80px;  border:1px solid #6A8CCB;" />*@     
               @Html.DevExpress().TextBox(
                    txt =>
                    {
                        txt.Name = "PRMonth";
                        txt.Properties.EnableClientSideAPI = true;
                        txt.Text = ViewBag.FromDate;
                        txt.Width = 120;
                        //txt.Attributes.CssStyle.Add("background-color", "#F78181");
                        //SetText.Style.Add("background-color","#F78181");
                    }).GetHtml()

             @*@Html.DevExpress().DateEdit(
                    settings =>
                    {
                        settings.Name = "PRMonth";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.EditFormat = EditFormat.Custom;
                        settings.Properties.DisplayFormatString = "MMMM yyyy";
                        settings.Properties.EditFormatString = "MMMM yyyy";
                        settings.Properties.MinDate = DateTime.Today;
                        settings.ReadOnly = true;
                        settings.Width = 120;
                        settings.Properties.ClientSideEvents.Init = @"
                        function OnInit(s, e) {
                            var calendar = s.GetCalendar();
                            calendar.owner = s;
                            calendar.SetVisible(false);                        
                        }";
                        
                        settings.Properties.ClientSideEvents.DropDown = @"
                        function OnDropDown(s, e) {
                            var calendar = s.GetCalendar();
                            
                            var fastNav = calendar.fastNavigation;
                            fastNav.activeView = calendar.GetView(0, 0);
                            fastNav.Prepare();
//fastNav.SetYear(false);
//fastNav.SetStartYear(2010);
                            fastNav.GetPopup().popupVerticalAlign = 'Below';
                            fastNav.GetPopup().ShowAtElement(s.GetMainElement())
                            
                            fastNav.OnOkClick = function () { 

                                var parentDateEdit = this.calendar.owner;
                                var currentDate = new Date(fastNav.activeYear, fastNav.activeMonth, 1);
                                
                                parentDateEdit.SetDate(currentDate);
                                
                                parentDateEdit.HideDropDown();
                            }

                            fastNav.OnCancelClick = function () {
                                var parentDateEdit = this.calendar.owner;
                                parentDateEdit.HideDropDown();
                            }
                        }";
                        
                    }
                    
                    
                ).GetHtml()*@
        </td>
        <td>&nbsp;</td>
        <td align="left" style="width:40px">
            Trucking
        </td>

        <td>
            
            @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "LogisticPartnerOption";
                    s.GridProperties.Name = "grlLPHeaderGrid";
                    s.GridProperties.KeyFieldName = "LP_CD";
                    
                    s.Width = 100;
                    //s.Height = 50;

                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31102", Action = "LogisticPartnerLookup" };
                    s.GridProperties.Width = Unit.Pixel(330);
                    //s.GridProperties.Height = Unit.Pixel(120);
                    s.GridProperties.Height = 101;
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                    s.GridProperties.Settings.VerticalScrollableHeight = 101;
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LP_CD";
                        c.FieldName = "LP_CD";
                        c.Caption = "Code";
                        c.Width = Unit.Pixel(50);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "LP_NAME";
                        c.FieldName = "LP_NAME";
                        c.Caption = "Name";
                    });
                }
            ).Bind(ViewData["LogisticPartnerLookup"]).GetHtml()

           
        </td>

        <td align="left" style="width:30px">
            Status
        </td>
        <td>
                @Html.Common().DevExpress().GridLookup(
                s =>
                {
                    s.Name = "StatusOption";
                    s.GridProperties.Name = "grlStatusHeaderGrid";
                    s.GridProperties.KeyFieldName = "SYSTEM_VALUE";
                    
                    s.Width = 130;
                    
                    s.GridProperties.Width = 200;

                    s.ReadOnly = true;
                    s.GridProperties.CallbackRouteValues = new { Controller = "D31102", Action = "StatusLookup" };
                    s.GridProperties.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    //s.GridProperties.Height = System.Web.UI.WebControls.Unit.Pixel(170);
                    s.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = false;
                    s.GridProperties.CommandColumn.ShowSelectCheckbox = true;

                    s.GridProperties.Settings.VerticalScrollableHeight = 152;
                    //s.GridProperties.Settings.VerticalScrollBarMode = ScrollBarMode.Visible;
                    
                    s.GridProperties.Columns.Add(c =>
                    {
                        c.Name = "SYSTEM_VALUE";
                        c.FieldName = "SYSTEM_VALUE";
                        
                        c.Caption = "Name";
                        //c.Width = Unit.Pixel(150);
                        c.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        c.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    
                }
            ).Bind(ViewData["StatusLookup"]).GetHtml()
        </td>
        
    </tr>

    <tr>
        <td colspan="7">
            <div id="infRetrieve" style="display:block; border: 1px solid #142B94; background-color: #FFFF00; padding: 5px; float:left; width:30%; border-radius:5px; color:#222; ">
                <div id="progress"  style="text-align: center;">
                    @*Retrieval on progress*@
                </div>
            </div>
        </td>
    </tr>

    <tr>
        <td colspan="7">
            <div id="infCreate" style="display:block; border: 1px solid #142B94; background-color: #FFFF00; padding: 5px; float:left; width:30%; border-radius:5px; color:#222; ">
                <div id="progressCreatePR"  style="text-align: center;">
                    @*Create on progress*@
                </div>
            </div>
        </td>
    </tr>

    <tr> 
        <td colspan="7">
            <table width="100%" cellpadding="2" cellspacing="2">
                <tr>
                    <td style="display:inline-block;">
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "PRRetrieveButton";
                                settings.Text = "Retrieve";
                                settings.UseSubmitBehavior = false;
                                settings.Width = 80;
                                settings.ClientSideEvents.Click = "RetrievePR";
                            }
                        ).GetHtml()
                    </td>
                    <td style="display:inline-block;">
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "PRCreateButton";
                                settings.Text = "Create PR";
                                settings.UseSubmitBehavior = false;
                                settings.Width = 80;
                                settings.ClientSideEvents.Click = "PopUpCreatePR";
                                //settings.ClientSideEvents.Click = "getProgress";
                            }
                        ).GetHtml()
                    </td>
                    <td style="display:inline-block;">

                        @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = "btnDownload";
                            button.Text = "Download";
                            button.Width = 80;
                            //button.Style.Add("display", "inline-table");
                            button.ClientSideEvents.Click = "DownloadData";
                    
                        }).GetHtml()
                    </td>
                    
                    

                    <td style="display:inline-block;float:right; padding-left:5px;">
                        @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "PRClearButton";
                                settings.Text = "Clear";
                                settings.UseSubmitBehavior = false;
                                settings.Width = 80;
                                
                                settings.ClientSideEvents.Click = "ClearGrid";                        
                            }
                        ).GetHtml()
                    </td>

                    <td style="display:inline-block;float:right;"> 
                        @Html.DevExpress().Button(
                        settings =>
                            {
                                settings.Name = "PRSearchButton";
                                settings.Text = "Search";
                                settings.UseSubmitBehavior = true;
                                settings.Width = 80;
                                settings.ClientSideEvents.Click = "SearchData";
                            }
                        ).GetHtml()
                    </td>
                    <td></td>
                    
                </tr>
            </table> 
        </td>
    </tr>
</table>



</div>

